Subject: ARM64: Disabling warnings about deprecated armv8 instructions

From: [email-masked] (Michael Zoran)
Date: Sun, 22 Jan 2017 01:56:33 -0800

On Sun, 2017-01-22 at 01:52 -0800, Michael Zoran wrote:
> I'm saying that when running a ELF32 executable, the system needs to
> fake the CPU architecture according to the uname system API and
> /proc/cpuinfo.
> 
> Today, I run uname -a in Raspbian and I get aarch64.? I want it to
> display arm6l or whatever to get Mathematica to load.
> 
> I see some code to make this work on other architectures such as X86,
> but most of this appears to be unimplemented on arm64.

Ideally, the system should detect the specific application and fake the
architecture according to the specific needs of that application.  But 
that sounds like I would be asking for alot there.